Change subledger title
Relevant webhooks
For this endpoint be sure you have registered for this webhook:
API reference
Changes the title on a subledger (subaccount).
Endpoint: /core/v1/dda/subaccounts/{accountNumber}/title
PUT
https://sandbox.crbcos.com/core/v1/dda/subaccounts/{accountNumber}/title
Path Parameters
- accountNumberstringrequiredDescription
Response
- accountNumberstringDescription
- accountTypestringDescription
- statusstringDescription
- ledgerTypestringDescription
- titlestringDescription
- currentBalanceintegerDescription
- availableBalanceintegerDescription
- holdAmountintegerDescription
- transactionCountintegerDescription
- creditLimitintegerDescription
- currencystringDescription
- openedAtstringDescription
- closedAtstringDescription
- masterAccountNumberstringDescription
- customerIdstringDescription
- classificationstringDescription
- beneficiaryobjectDescription
- referenceIdstringDescription
- firstNamestringDescription
- middleNamestringDescription
- lastNamestringDescription
- entityNamestringDescription
- streetAddress1stringDescription
- streetAddress2stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- phoneNumberstringDescription
- emailAddressstringDescription
- notesstringDescription
- taxIdTypestringDescription
- taxIdstringDescription
- birthDatestringDescription
- dateFormedstringDescription
- partnerIdstringDescription
- lastMaintenanceAtstringDescription
- lastTransactedAtstringDescription
- productIdstringDescription
- clientIdentifierstringDescription
- lastModifiedAtstringDescription
- balancesobjectDescription
- accountNumberstringDescription
- isSubAccountbooleanDescription
- currencystringDescription
- currentBalanceintegerDescription
- availableBalanceintegerDescription
- holdAmountintegerDescription
- transactionCountintegerDescription
- lastModifiedAtstringDescription
- lastTransactedAtstringDescription
curl
curl --location --globoff --request PUT 'https://sandbox.crbcos.com/core/v1/dda/subaccounts/{accountNumber}/title' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"title": "Devra business checking test"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'PUT',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/subaccounts/{accountNumber}/title',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = JSON.stringify({
"title": "Devra business checking test"
});
req.write(postData);
req.end();python
import requests
import json
url = "https://sandbox.crbcos.com/core/v1/dda/subaccounts/{accountNumber}/title"
payload = json.dumps({
"title": "Devra business checking test"
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/subaccounts/{accountNumber}/title")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"title": "Devra business checking test"
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/subaccounts/{accountNumber}/title"
method := "PUT"
payload := strings.NewReader(`{
"title": "Devra business checking test"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"accountNumber": "395388745774",
"accountType": "Deposit",
"status": "Active",
"ledgerType": "Passthrough",
"productType": "Checking",
"title": "Devra business checking test",
"currentBalance": 0,
"availableBalance": 0,
"holdAmount": 0,
"transactionCount": 0,
"creditLimit": 0,
"currency": "usd",
"openedAt": "2026-04-20T08:27:10.133-04:00",
"masterAccountNumber": "2418494833",
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"classification": "Personal",
"beneficiary": {
"countryCode": "US"
},
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastMaintenanceAt": "2026-07-09T02:54:33.8957846-04:00",
"productId": "a68a0fa5-98fe-4cd5-b626-af5b0137e0cb",
"lastModifiedAt": "2026-07-09T02:54:33.8958295-04:00"
}